package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 取号方式 (现场取号,微信取号)枚举类
*
* @author zxfei
*/
public enum WySigninEnum {
    现场取号("现场取号", "现场取号"),
    微信取号("微信取号", "微信取号");
    private String value;
    private String desc;

    WySigninEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static WySigninEnum getByValue(String value) {
        for (WySigninEnum wySigninEnum : WySigninEnum.values()) {
            if (wySigninEnum.getValue() == value) {
                return wySigninEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (WySigninEnum item : WySigninEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}